Bug 385231 - RHEL5 cmirror tracker: down converting mirrors appears broken
RHEL5 cmirror tracker: down converting mirrors appears broken
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cmirror (Show other bugs)
5.0
All Linux
low Severity low
: rc
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-15 13:39 EST by Corey Marthaler
Modified: 2010-01-11 21:05 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:26:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2007-11-15 13:39:07 EST
Description of problem:
Even with the locking errors, it appears that the mirror did down convert,
however, the mirror log is still present so it didn't down convert properly. 


[root@taft-02 ~]# lvs -a -o +devices
  LV                VG         Attr   LSize  Origin Snap%  Move Log        
Copy%  Devices
  LogVol00          VolGroup00 -wi-ao 66.19G                                   
   /dev/sda2(0)
  LogVol01          VolGroup00 -wi-ao  1.94G                                   
   /dev/sda2(2118)
  simple            vg         mwi-a-  5.00G                    simple_mlog
100.00 simple_mimage_0(0),simple_mimage_1(0)
  [simple_mimage_0] vg         iwi-ao  5.00G                                   
   /dev/sdb1(0)
  [simple_mimage_1] vg         iwi-ao  5.00G                                   
   /dev/sdb2(0)
  [simple_mlog]     vg         lwi-ao  4.00M                                   
   /dev/sdb5(0)

[root@taft-02 ~]# lvconvert -m 0 vg/simple
  Error locking on node taft-01: LV vg/simple_mlog in use: not deactivating
  Error locking on node taft-04: LV vg/simple_mlog in use: not deactivating
  Error locking on node taft-03: LV vg/simple_mlog in use: not deactivating
  Error locking on node taft-02: LV vg/simple_mlog in use: not deactivating

[root@taft-02 ~]# lvchange -an vg/simple

[root@taft-02 ~]# lvconvert -m 0 vg/simple
  Logical volume simple is already not mirrored.

[root@taft-02 ~]# lvs -a -o +devices
  LV          VG         Attr   LSize  Origin Snap%  Move Log Copy%  Devices
  LogVol00    VolGroup00 -wi-ao 66.19G                               /dev/sda2(0)
  LogVol01    VolGroup00 -wi-ao  1.94G                               /dev/sda2(2118)
  simple      vg         -wi---  5.00G                               /dev/sdb1(0)
  simple_mlog vg         -wi-ao  4.00M                               /dev/sdb5(0)


Version-Release number of selected component (if applicable):
2.6.18-53.el5
cmirror-1.1.0-7
Comment 1 Corey Marthaler 2007-11-15 17:45:22 EST
The same goes for converts from 3 legs to 2 legs.

  mirrorF            vg         mwi-a-  6.00G                    mirrorF_mlog  
6.58 mirrorF_mimage_0(0),mirrorF_mimage_1(0),mirrorF_mimage_2(0)
  [mirrorF_mimage_0] vg         iwi-ao  6.00G                                  
     /dev/sdb3(3072)              
  [mirrorF_mimage_1] vg         iwi-ao  6.00G                                  
     /dev/sdb4(3072)              
  [mirrorF_mimage_2] vg         iwi-ao  6.00G                                  
     /dev/sdb5(3073)              
  [mirrorF_mlog]     vg         lwi-ao  4.00M                                  
     /dev/sdb2(3074)              
[root@taft-02 ~]# lvconvert -m 1 vg/mirrorF
  Error locking on node taft-01: device-mapper: reload ioctl failed: Invalid
argument
  Error locking on node taft-03: device-mapper: reload ioctl failed: Invalid
argument
  Error locking on node taft-02: device-mapper: reload ioctl failed: Invalid
argument
  Failed to lock mirrorF

device-mapper: dm-log-clustered: Server error while processing request
[DM_CLOG_CTR]: -22
device-mapper: table: 253:26: mirror: Error creating mirror dirty log
device-mapper: ioctl: error adding target to table
Nov 15 16:43:50 taft-03 clogd[6463]: Received constructor request with bad data
Nov 15 16:43:50 taft-03 kernel: device-mapper: dm-log-clustered: Server error
while processing request [DM_CLOG_2
Nov 15 16:43:50 taft-03 kernel: device-mapper: table: 253:26: mirror: Error
creating mirror dirty log
Nov 15 16:43:50 taft-03 kernel: device-mapper: ioctl: error adding target to table
Comment 3 Jonathan Earl Brassow 2008-01-14 17:59:49 EST
2 -> 1 should be fixed...  I need more storage to try 3 -> 2.  i should have
that with my new cluster.
Comment 4 Jonathan Earl Brassow 2008-01-16 12:50:48 EST
partitioning and testing seems to confirm 3 -> 2 is fixed.

Comment 5 Corey Marthaler 2008-01-21 18:09:09 EST
Fix verified in cmirror-1.1.5-4.el5. Tested 0 -> 4 -> 3 -> 2 -> 1 -> 0.
Comment 8 errata-xmlrpc 2009-01-20 16:26:45 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0158.html

Note You need to log in before you can comment on or make changes to this bug.